Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.emailFwd
Class EPPEmailFwdContact

    java.lang.Object
      com.verisign.epp.codec.emailFwd.EPPEmailFwdContact

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPEmailFwdContact

extends java.lang.Object
implements EPPCodecComponent

Represents a emailFwd contact. The valid contact types are defined by the `EPPEmailFwdContact.TYPE_` constants. A contact has a type and a name that must be known to the EPP Server.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `TYPE_ADMINISTRATIVE` Administrative EmailFwd Contact
`static java.lang.String` | `TYPE_BILLING` Billing EmailFwd Contact
`static java.lang.String` | `TYPE_TECHNICAL` Technical EmailFwd Contact

Constructor Summary
`EPPEmailFwdContact()` Default constructor for EPPEmailFwdContact.
`EPPEmailFwdContact(java.lang.String aName, java.lang.String aType)` EPPEmailFwdContact which takes all attributes as arguments (name, type).

Method Summary
`java.lang.Object` | `clone()` Clone `EPPEmailFwdContact`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the EPPEmailFwdContact attributes from the aElement DOM Element tree.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the EPPEmailFwdContact instance.
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPEmailFwdContact` compare.
`java.lang.String` | `getName()` Gets the contact name
`java.lang.String` | `getType()` Gets the contact type.
`void` | `setName(java.lang.String aName)` Sets the contact name.
`void` | `setType(java.lang.String aType)` Sets the contact type to one of the `EPPEmailFwdContact.TYPE_` constants.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_ADMINISTRATIVE

    public static final java.lang.String TYPE_ADMINISTRATIVE

  Administrative EmailFwd Contact

  See Also:
    Constant Field Values

### TYPE_BILLING

    public static final java.lang.String TYPE_BILLING

  Billing EmailFwd Contact

  See Also:
    Constant Field Values

### TYPE_TECHNICAL

    public static final java.lang.String TYPE_TECHNICAL

  Technical EmailFwd Contact

  See Also:
    Constant Field Values

Constructor Detail

### EPPEmailFwdContact

    public EPPEmailFwdContact()

  Default constructor for EPPEmailFwdContact. The attribute default to `null` and must be set before invoking `encode`.

### EPPEmailFwdContact

    public EPPEmailFwdContact(java.lang.String aName,
                              java.lang.String aType)

  EPPEmailFwdContact which takes all attributes as arguments (name, type).

  Parameters:
    `aName` - Contact Name
    `aType` - Contact Type, which should be a `EPPEmailFwdContact.TYPE_` constant.

Method Detail

### getName

    public java.lang.String getName()

  Gets the contact name

  Returns:
    Contact Name

### setName

    public void setName(java.lang.String aName)

  Sets the contact name.

  Parameters:
    `aName` - Contact Name

### getType

    public java.lang.String getType()

  Gets the contact type.

  Returns:
    DOCUMENT ME!

### setType

    public void setType(java.lang.String aType)

  Sets the contact type to one of the `EPPEmailFwdContact.TYPE_` constants.

  Parameters:
    `aType` - `EPPEmailFwdContact.TYPE_` constant.

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the EPPEmailFwdContact instance.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - - DOM Document that is being built. Used as an Element factory.
  Returns:
    Element - Root DOM Element representing the EPPEmailFwdContact instance.
  Throws:
    `EPPEncodeException` - - Unable to encode EPPEmailFwdContact instance.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the EPPEmailFwdContact attributes from the aElement DOM Element tree.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - - Root DOM Element to decode EPPEmailFwdContact from.
  Throws:
    `EPPDecodeException` - - Unable to decode aElement.

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPEmailFwdContact` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPEmailFwdContact` instance to compare with
  Returns:
    DOCUMENT ME!

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPEmailFwdContact`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPEmailFwdContact`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.